Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.domx
Class XGrammarWriter.OutputFormat

    java.lang.Object
      |
      +--weblogic.apache.xerces.domx.XGrammarWriter.OutputFormat

public static final class XGrammarWriter.OutputFormat
extends java.lang.Object

Output format enumeration.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static XGrammarWriter.OutputFormat` | `DTD` Output format: DTD.
`static XGrammarWriter.OutputFormat` | `XML_SCHEMA` Output format: XML Schema.

Method Summary
`boolean` | `equals(java.lang.Object object)` Returns true if the objects are equal.
`int` | `getValue()` Returns the value.
`int` | `hashCode()` Returns the hash code.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DTD

    public static final XGrammarWriter.OutputFormat DTD

  Output format: DTD.

### XML_SCHEMA

    public static final XGrammarWriter.OutputFormat XML_SCHEMA

  Output format: XML Schema.

Method Detail

### getValue

    public int getValue()

  Returns the value.

### hashCode

    public int hashCode()

  Returns the hash code.

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object object)

  Returns true if the objects are equal.

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD